ViewConstruct (CMDB Model API)
Keywords: com.collation.platform.model.gui.customviews.ViewConstruct interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.customviews
Interface ViewConstruct

All Superinterfaces:
  ModelObject, ProductModelObject, java.io.Serializable

All Known Subinterfaces:
  InstanceViewConstruct, IpNetworkViewConstruct, IpRangeViewConstruct, SpecificIpViewConstruct, TypeViewConstruct

    public interface ViewConstruct

extends ProductModelObject

Represents a view construct

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  VIEWCONS
Display Name:
  name

Method Summary
`int` | `getLevel()`
`java.lang.String` | `getName()`
`boolean` | `hasLevel()`
`boolean` | `hasName()`
`void` | `setLevel(int level)`
`void` | `setName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### hasName

    boolean hasName()

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLevel

    boolean hasLevel()

### getLevel

    int getLevel()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLevel

    void setLevel(int level)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD